.liefer-container {
    position: relative;
    width: 100%;
}

.liefer-image {
    display: block;
    width: 100%;
    height: auto;
}

.liefer-overlay-green {
    position: absolute;
    bottom: 100%;
    left: 0;
    right: 0;
    background-color: rgba(0,255,0,0.7);
    overflow: hidden;
    width: 100%;
    height:0;
    transition: .5s ease;
}

.liefer-overlay-grey {
    position: absolute;
    bottom: 100%;
    left: 0;
    right: 0;
    background-color: rgba(230,230,230,0.7);
    overflow: hidden;
    width: 100%;
    height:0;
    transition: .5s ease;
}

.liefer-overlay-yellow {
    position: absolute;
    bottom: 100%;
    left: 0;
    right: 0;
    background-color: rgba(255,255,0,0.7);
    overflow: hidden;
    width: 100%;
    height:0;
    transition: .5s ease;
}

.liefer-container:hover .liefer-overlay-green {
    bottom: 0;
    height: 100%;
}


.liefer-container:hover .liefer-overlay-grey {
    bottom: 0;
    height: 100%;
}

.liefer-container:hover .liefer-overlay-yellow {
    bottom: 0;
    height: 100%;
}


.liefer-text {
    color: white;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
}

